Loading...
Searching...
No Matches
snmp_threadsync.h File Reference
`#include "lwip/apps/snmp_opts.h"`
`#include "lwip/apps/snmp_core.h"`
`#include "lwip/sys.h"`

## Data Structures

struct | threadsync_data
struct | snmp_threadsync_instance
struct | snmp_threadsync_node

## Macros

#define | SNMP_CREATE_THREAD_SYNC_NODE(oid, target_leaf_node, threadsync_instance)

## Functions

void | snmp_threadsync_init (struct snmp_threadsync_instance *instance, snmp_threadsync_synchronizer_fn sync_fn)

## Detailed Description

SNMP server MIB API to implement thread synchronization

## Macro Definition Documentation

## SNMP_CREATE_THREAD_SYNC_NODE

#define SNMP_CREATE_THREAD_SYNC_NODE | ( |  | oid,
|  |  | target_leaf_node,
|  |  | threadsync_instance )

Value:
{{{ SNMP_NODE_THREADSYNC, (oid) }, \
snmp_threadsync_get_instance, \
snmp_threadsync_get_next_instance }, \
(target_leaf_node), \
(threadsync_instance) }

Create thread sync proxy node

## Function Documentation

## snmp_threadsync_init()

void snmp_threadsync_init | ( | struct snmp_threadsync_instance * | instance,
|  | snmp_threadsync_synchronizer_fn | sync_fn )

Create thread sync instance data

Initializes thread synchronization instance